import { createRouter, createWebHashHistory, RouteRecordRaw } from "vue-router";
const routes: Array<RouteRecordRaw> = [
  {
    path: "/selmat",
    name: "home",
    component: () => import("./selectMat"),
  },
  {
    path: "/selpackscene",
    name: "selpackscene",
    component: () => import("./selectPackScene"),
  },
  {
    path: "/selectPack",
    name: "selectPack",
    component: () => import("./selectPack"),
  },
];

const router = createRouter({
  history: createWebHashHistory(),
  routes,
});

export default router;
